<?php

namespace App\Form\Registration\User;

use App\Form\BaseType\AutocompleteCompanyType;
use App\Form\DataTransformer\CompanyToStringTransformer;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class CompanyType extends AbstractType
{
    private $companyTransformer;

    public function __construct(CompanyToStringTransformer $companyTransformer)
    {
        $this->companyTransformer = $companyTransformer;
    }

    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $myEntity = $builder->getData();
        $builder->add('company', AutocompleteCompanyType::class, [
            'compound' => true,
        ]);
        $builder->get('company')->addModelTransformer($this->companyTransformer);
        /*        $builder->add('company');
                $builder->add('companys', CollectionType::class, [
                    'entry_type' => AutocompleteCompanyType::class,
                    'entry_options' => ['label' => false],
                    'allow_add' => true,
                    'allow_delete' => true,
                ]);*/
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => null,
        ]);
    }

    /*    public function buildView(FormView $view, FormInterface $form, array $options)
        {
            parent::buildView($view, $form, $options); // TODO: Change the autogenerated stub
        }*/
}
